Activities
The activity resource is used to track scheduled activities.
Activity object
{
"id": "0198ae1d-6976-72d2-91cf-d56b90c71b05",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"location": null,
"type": "01988bb8-2044-7fd8-85aa-4k4nf23l94f2",
"unit": null,
"public": false,
"title": "Zoom meeting",
"time_start": "2025-08-14 13:00:00",
"time_end": "2025-08-14 13:30:00",
"all_day": false,
"notes": "Meeting notes...",
"meta": null,
"archived_at": null,
"created_at": "2025-08-15 14:23:39",
"updated_at": "2026-01-09 05:34:07"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- locationnullable stringUnique ID of the location.
- typenullable stringUnique ID of the activity type.
- unitnullable stringUnique ID of the unit.
- publicrequired booleanWhether the activity is public or private. Public activities can be read from the public activities endpoint without authentication.
- titlerequired stringTitle of the activity.
- time_startrequired stringUTC timestamp of when the activity starts.
- time_endrequired stringUTC timestamp of when the activity ends. This value must be after
time_start. - all_daybooleanWhether the activity is an all-day event. The default value is
false. - notesnullable stringNotes about the activity.
- metanullable objectAdditional metadata about the activity.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create an activity
POST /tenants/{tenantId}/activities
The request body must include an activity object.
Required permissions
activities:create locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Activity object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List activities
GET /tenants/{tenantId}/activities
Required permissions
activities:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of activity objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read an activity
GET /tenants/{tenantId}/activities/{id}
Required permissions
activities:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Activity object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or attendance ID not found | Error object |
Update an activity
PATCH /tenants/{tenantId}/activities/{id}
The request body must include parts of an activity object.
Required permissions
activities:update locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated activity record | Activity object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or attendance ID not found | Error object |
Delete an activity
DELETE /tenants/{tenantId}/actvities/{id}
Required permissions
activities:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?